[android-components](../../../index.md) / [mozilla.components.feature.downloads.manager](../../index.md) / [AndroidDownloadManager](../index.md) / [DownloadStateWithRequest](./index.md)

# DownloadStateWithRequest

`data class DownloadStateWithRequest` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/downloads/src/main/java/mozilla/components/feature/downloads/manager/AndroidDownloadManager.kt#L48)

Holds both the state and the Android DownloadManager.Request for the queued download

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `DownloadStateWithRequest(state: `[`DownloadState`](../../../mozilla.components.browser.state.state.content/-download-state/index.md)`, request: <ERROR CLASS>)`<br>Holds both the state and the Android DownloadManager.Request for the queued download |

### Properties

| Name | Summary |
|---|---|
| [request](request.md) | `val request: <ERROR CLASS>` |
| [state](state.md) | `val state: `[`DownloadState`](../../../mozilla.components.browser.state.state.content/-download-state/index.md) |
